> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maildiver.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List contacts

> **Endpoint:** `v1/audiences/{audienceId}/contacts`

List all contacts in an audience. Returns 50 contacts per page.




## OpenAPI

````yaml api-reference/openapi.yml get /audiences/{audienceId}/contacts
openapi: 3.1.0
info:
  title: Send Email API
  description: >
    Send transactional emails through MailDiver.


    ### Base URL

    All API endpoints are prefixed with `api.` subdomain:

    ```

    https://api.maildiver.com

    ```


    For the self-hosted version, if your domain is `example.com`:

    ```

    https://api.example.com

    ```


    ### Endpoint

    ```

    v1/emails

    ```


    ### Authentication

    All API requests require authentication using your API key in the
    Authorization header:

    ```

    Authorization: Bearer your-api-key

    ```
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://api.maildiver.com/v1
    description: Production server
    variables:
      domain:
        default: yourdomain.com
        description: Your domain (without the api. prefix)
security:
  - bearerAuth: []
paths:
  /audiences/{audienceId}/contacts:
    get:
      tags:
        - Contact
      summary: List contacts
      description: |
        **Endpoint:** `v1/audiences/{audienceId}/contacts`

        List all contacts in an audience. Returns 50 contacts per page.
      operationId: listContacts
      parameters:
        - name: audienceId
          in: path
          required: true
          description: Unique identifier of the audience
          schema:
            type: string
          example: 01959b50-eda7-7597-acb1-cfeffdd53400
        - name: cursor
          in: query
          required: false
          description: >
            Pagination cursor. The cursor will always be returned in the
            response:

            - If there are more contacts, it will contain the email of the last
            contact in the current page

            - If there are no more contacts, it will be null
          schema:
            type: string
            nullable: true
          example: suppressionlist+14@simulator.amazonses.com
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                success:
                  summary: Success response
                  value:
                    contacts:
                      - id: 01959faf-16e2-77dd-9585-cd25da58855e
                        first_name: null
                        last_name: null
                        email: suppressionlist+9@simulator.amazonses.com
                        is_subscribed: true
                        created: 1742140806881
                        updated: 1742140806881
                      - id: 01959faf-16e2-77dd-9586-095806ce56a4
                        first_name: John
                        last_name: null
                        email: suppressionlist+24@simulator.amazonses.com
                        is_subscribed: true
                        created: 1742140806881
                        updated: 1742140806881
                    count: 50
                    cursor: suppressionlist+14@simulator.amazonses.com
        '403':
          description: Forbidden (API key is missing or invalid)
          content:
            application/json:
              examples:
                invalidKey:
                  summary: Invalid API key error
                  value:
                    message: Invalid API key
                    code: invalid_api_key
                invalidHeader:
                  summary: Invalid authorization header error
                  value:
                    message: Invalid authorization header
                    code: invalid_authorization_header
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key with format "Bearer {your-api-key}"

````